VCF Operations Registration

VCF Operations Registration
VCF Operations Registration

This endpoint facilitates the registration of a VCF Operations (version 9.1 & above) instance operating offline(disconnected mode). The request requires a registration file containing the VCF Operations, license servers and the required details. API response returns VCF Operations registration status. VCF Operations version upgrade from 9.0 is not supported by the API.

Request
URI
POST
https://eapi.broadcom.com/vcf/license-mgmt/api/v1/tenants/{tenant_id}/vcf-ops/registration
COPY
Path Parameters
string
tenant_id
Required

ID of the tenant

Header Parameters
string
Content-Disposition
Optional

Optional. If provided, the filename must end with the .registration extension (case-sensitive: lowercase letters only). Example: attachment; filename="registration_{asset_name}_{current_timestamp}.registration"


Request Body

  • Content-Type : application/octet-stream

  • Request Body : registration_file (required)

    cURL Command: 'curl --request POST
    --url https://eapi.broadcom.com/vcf/license-mgmt/api/v1/tenants/{tenant_id}/vcf-ops/registration
    --header 'authorization: Bearer <>'
    --header 'content-disposition: attachment; filename="registration-node-001-2026-04-14T05_20_42.610Z.registration"'
    --header 'content-type: application/octet-stream'
    --data /opt/inputs/registration-node-001-2026-04-14T05_20_42.610Z.registration'

Authentication
This operation uses the following authentication methods.
Responses
201

Returns the registration status of VCF Operations and license servers.

Returns VcfOpsRegistrationResponse of type(s) application/json
{
    "vcf_ops_id": "f6151794-b2e6-4d75-b3fe-4b812aa6f292",
    "name": "9.1 VcfOps",
    "status": "NOT_LICENSED",
    "product_version": "9.1",
    "license_servers": [
        {
            "id": "5193fda9-7cf0-4e1a-a299-eeb070f04d63",
            "name": "Test License Server",
            "status": "PENDING_REGISTRATION",
            "is_missing": false,
            "product_version": "9.1"
        }
    ]
}
string
vcf_ops_id
Required

Id of VCF Operations instance.

string
name
Required

Name of VCF Operations instance.

string
status
Required

Status of VCF Operations.

  • REGISTRATION_FAILED : Registration failure.
  • NOT_LICENSED : Successful registration request. None of the license servers have active licenses associated.
  • PARTIALLY_LICENSED : Some license servers are LICENSED.
  • LICENSED : All license servers are LICENSED.
  • DEACTIVATED : VCF Operations and all license servers are deactivated.
Possible values are : LICENSED, NOT_LICENSED, DEACTIVATED, PARTIALLY_LICENSED, REGISTRATION_FAILED,
string
product_version
Required

VCF Operations product version.

array of object
license_servers
Required

License servers registered against the VCF Operations.


400

Possible error responses include:

-INVALID_INPUT_FILE:
    - The uploaded registration file is invalid.
    - The uploaded registration file exceeds permissible size limit.
    - The uploaded registration file is empty.
-VCF_OPS_ALREADY_REGISTERED_WITH_DIFFERENT_TENANT: 
    - VCF Ops is already registered with a different tenant: ee1cf9c9-194c-487e-b3ee-8179261afc6f (Site ID: 876512).
-VCF_OPS_VERSION_NOT_SUPPORTED: 
    - VCF Ops version must be 9.1 or higher.
-LICENSE_SERVER_REGISTERED_WITH_DIFFERENT_VCF_OPS:
     - License server 95de9362-8c8e-4763-ada9-22c17ffec0bc is registered with a different VCF Ops 878b8320-a18f-4396-9a67-754ccfee5492.
Returns ErrorResponse of type(s) application/json
{
    "major_error_code": "VCF_OPS_VERSION_NOT_SUPPORTED",
    "minor_error_code": "VCF_OPS_VERSION_NOT_SUPPORTED",
    "message": "VCF Operations version must be 9.1 or higher"
}
array of string
parameter_list
Optional

parameter_list

string
message
Optional

message

string
major_error_code
Optional

major_error_code

string
minor_error_code
Optional

minor_error_code


401

Unauthorized

Returns ErrorResponse of type(s) application/json
{
    "major_error_code": "401",
    "minor_error_code": "UNAUTHORIZED",
    "message": "Authentication failed"
}
array of string
parameter_list
Optional

parameter_list

string
message
Optional

message

string
major_error_code
Optional

major_error_code

string
minor_error_code
Optional

minor_error_code


403

Forbidden

Returns ErrorResponse of type(s) application/json
{
    "major_error_code": "403",
    "minor_error_code": "ACCESS_DENIED",
    "message": "Access Denied"
}
array of string
parameter_list
Optional

parameter_list

string
message
Optional

message

string
major_error_code
Optional

major_error_code

string
minor_error_code
Optional

minor_error_code


404

Not Found

Returns ErrorResponse of type(s) application/json
{
    "major_error_code": "VCF_OPS_NOT_FOUND",
    "minor_error_code": "VCF_OPS_NOT_FOUND",
    "message": "VCF Operations c97d3878-e26b-4da4-bb2c-e66444ce8f1d not found"
}
array of string
parameter_list
Optional

parameter_list

string
message
Optional

message

string
major_error_code
Optional

major_error_code

string
minor_error_code
Optional

minor_error_code


500

Internal Server Error

Returns ErrorResponse of type(s) application/json
{
    "major_error_code": "VCF_OPS_REGISTRATION_ERROR",
    "minor_error_code": "VCF_OPS_REGISTRATION_ERROR",
    "message": "VCF Operations registration failed due to an internal server error"
}
array of string
parameter_list
Optional

parameter_list

string
message
Optional

message

string
major_error_code
Optional

major_error_code

string
minor_error_code
Optional

minor_error_code


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/octet-stream' https://{api_host}/vcf/license-mgmt/api/v1/tenants/{tenant_id}/vcf-ops/registration